### Hierarchy

- ReadableStreamBYOBReader

## Index

### Properties

- closed

### Methods

- cancel
- read
- releaseLock

## Properties

### closed

closed: Promise<void>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11912

## Methods

### cancel

- cancel(reason?: any): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11913

  #### Parameters

  - ##### Optional reason: any

  #### Returns Promise<void>

### read

- read<T>(view: T): Promise<ReadableStreamReadResult<T>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11914

  #### Type parameters

  - #### T: ArrayBufferView

  #### Parameters

  - ##### view: T

  #### Returns Promise<ReadableStreamReadResult<T>>

### releaseLock

- releaseLock(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11915

  #### Returns void

Generated using TypeDoc